import request from '@/utils/request'

// api地址
const api = {
  list: 'bargain.active/list',
  detail: 'bargain.active/detail',
  poster: 'bargain.active/poster'
}

// 砍价活动会场列表
export const list = (param) => {
  return request.get(api.list, param)
}

// 砍价活动详情
export const detail = (activeId, param) => {
  return request.get(api.detail, { activeId, ...param })
}

// 生成商品海报
export const poster = param => {
  return request.get(api.poster, param)
}
